alembic (1.0.11-5kali1) kali-dev; urgency=medium

  * Reintroduce python 2 package in Kali for python-faraday not ready for
    Python3.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jul 2019 09:08:38 +0200

alembic (1.0.11-5) unstable; urgency=medium

  * Remove Pytohn 2 packages from B-D
  * d/control: Fix alembic description
  * d/rules: Don't remove non-existance file

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 02:16:21 +0200

alembic (1.0.11-4) unstable; urgency=medium

  * New upstream release
  * d/copyright:
    - Rename MIT license to Expat
    - Bump my copyright year
  * d/patches: Rebased
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Add upstream metadata
  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 01:31:23 +0200

alembic (1.0.0-3) unstable; urgency=medium

  * Require newer dh-python which cleans .pytest_cache directory
  * Revert removing of pytest_cache manually
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Standards-Version is 4.3.0 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:31:51 +0100

alembic (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Remove pytest_cache directory after running tests (Closes: #909529)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Sep 2018 13:13:59 +0200

alembic (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #906334)
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 13:23:57 +0200

alembic (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/control: Set Vcs-* to salsa.debian.org
  * Bump debhelper compat level to 11
  * Remove empty site_custom_css.css from docs
  * d/control: Use ${python3:Depends} from alembic
  * d/copyright: Bump my copyright year
  * d/rules: Remove test_schema.db after tests

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 12:45:05 +0100

alembic (0.9.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Ran wrap-and-sort -bast.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 12:23:36 +0000

alembic (0.9.3-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Bump upstream copyright year
  * d/watch: Use Bitbucket GIT repository
  * d/p/0002-Fix-test-for-Python-3.6.patch: Removed, applied upstream
  * Add python{3,}-dateutil to B-D

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 20:47:03 +0200

alembic (0.8.8-3) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * Standards-Version is 4.0.0 now
  * d/copyright
    - Use https in format URL
    - Bump my copyright years
  * Use pybuild
  * Remove openstack-pkg-tools from B-D, not needed anymore
  * Fix FTBFS with Python 3.6 (Closes: #868972)
  * Remove alternatives for alembic CLI and always use Python 3 version
  * d/s/options: Remove extend-diff-ignore of .gitreview
  * Use autopkgtest-pkg-python testsuite and test alembic CLI
  * Refresh manpage

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 18:57:50 +0200

alembic (0.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use correct branch in package VCS
  * Bumped debhelper version to 10

  [ Thomas Goirand ]
  * debian/source/options: ignores egg-info and .gitreview.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Nov 2016 16:42:37 +0100

alembic (0.8.8-1) unstable; urgency=medium

  * New upstream release
  * Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Sep 2016 20:48:21 +0200

alembic (0.8.7-2) unstable; urgency=medium

  * Added python{3,}-editor to build depends
  * Bump required version of python{3,}-sqlalchemy to 1.0
  * Use Python 3 version of Sphinx to builds docs
  * Bump required version of openstack-pkg-tools to 52~
  * d/rules
    - Cleanup and use pkgos-dh_auto_install
    - Run tests on all Python versions
  * Removed d/p/disable-failing-test.patch
    (Not needed anymore)

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Aug 2016 22:52:00 +0200

alembic (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Rebased d/p/disable-failing-test.patch

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 12:54:29 +0200

alembic (0.8.6-1) unstable; urgency=medium

  * Added myself as uploader
  * New upstream release.
  * Change directory to $ADTTMP before running Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Thu, 21 Apr 2016 22:04:57 +0200

alembic (0.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Added Debian tests.
  * Fixed Vcs URLs (https).
  * d/copyright
    - Fixed for new release
    - Added myself for Debian part
  * Fixed homepage (https).
  * Standards-Version is 3.9.8 now (no change)
  * Added depends to python(3)-pkg-resources (Closes: #821010).

 -- Ondřej Nový <novy@ondrej.org>  Thu, 14 Apr 2016 20:48:00 +0200

alembic (0.8.2-3) unstable; urgency=medium

  * Fixed typo in VCS field.
  * Removed Piotr from Uploaders after he asked for that.
  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 21:26:53 +0000

alembic (0.8.2-2) unstable; urgency=medium

  * Added missing dependency on python-editor.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 12:43:20 +0000

alembic (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch
  * Switch away from pybuild: I simply don't understand how it works, and
    there's no doc that I know of explaining the behavior.
  * Using update-alternative for switching between python2 and 3 of
    /usr/bin/alembic.
  * Allow alembic to be used with python3-alembic and not just
    python-alembic (ie: Depends: python-alembic | python3-alembic).
  * Added a patch to disable the one and only failing pybuild test.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 18:24:25 +0200

alembic (0.7.6-2) unstable; urgency=medium

  * Added missing python-pytest build-depends (Closes: #796413).
  * Removed build-depends on nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 15:18:43 +0000

alembic (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed watch file.
  * Added patch to avoid FTBFS, as advised by upstream:
    turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 21:43:59 +0000

alembic (0.7.4-2) unstable; urgency=medium

  * Uploading to unstable.
  * Dropped version in the python-sphinx build-depends.
  * Moved some Build-Depends to a new Build-Depends-Indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 07:04:43 +0000

alembic (0.7.4-1) experimental; urgency=medium

  * New upstream release.
  * Now generating the orig.tar.xz out of a git tag.
  * Taking over the package after the original maintainer wrote by email he
    can't maintain the package anymore. Added Piotr as maintainer as he
    also expressed interest in the package, as he maintains SQLAlchemy.
  * Ran wrap-and-sort as debian/control was really messy.
  * Removed now useless X-Python-Version: >= 2.6.
  * Standards-Version is now 3.9.6.
  * Increased debhelper and compat to 9.
  * Added past maintainers to debian/copyright.
  * Fixed short and long descriptions.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 22:44:22 +0100

alembic (0.6.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 10:08:57 +0000

alembic (0.6.3+ds-2) unstable; urgency=medium

  * Add python-alembic and python3-alembic binary packages (Closes: 721169),
    alembic binary package now provides /usr/bin/alembic and documentation
  * Use pybuild build system, add dh-python to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Mar 2014 08:47:33 +0100

alembic (0.6.3+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Upldate get-orig-source target in debian/rules, upstream tarball doesn't
    contain distribute_setup.py anymore
  * Add python-changelog and python-sphinx-paramlinks to Build-Depends - used
    while building docs now; drop 01disable_sphinx_changelog_ext patch

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Feb 2014 20:31:38 +0100

alembic (0.6.2+ds-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release (closes: #734021)
  * Incorporate NMU changes
  * debian/control:
    - Bump standards-version to 3.9.5
    - Add X-Python-Version
  * Add doc-base

  [ Thomas Bechtold ]
  * Team upload.
  * debian/patches: Add 01disable_sphinx_changelog_ext.patch to disable Sphinx
    changelog extension which is currently not packaged for Debian.
  * debian/control: Add python-mock to Build-Depends according to setup.py.
  * debian/rules: Add http_proxy='localhost' to disable internet access during
    documentation build.
  * debian/alembic.1: Updated with help2man target from debian/rules.

 -- Thomas Bechtold <toabctl@debian.org>  Fri, 03 Jan 2014 08:25:50 +0100

alembic (0.4.2+ds-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Restore changes from 0.4.2+ds-2.1 that were dropped in -3 (closes: #715429).

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Sep 2013 20:14:35 +0200

alembic (0.4.2+ds-3) unstable; urgency=low

  * Team upload.
  * Rebuliding so that it handles the new version of sqlalchemy.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2013 15:30:56 +0000

alembic (0.4.2+ds-2.1) unstable; urgency=low

  * Non maintainer upload
  * Remove build-dependency and suggestion on python2.6-argparse.
    Closes: #707804.

 -- Matthias Klose <doko@debian.org>  Thu, 16 May 2013 14:38:51 +0200

alembic (0.4.2+ds-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Uploading to SID.
  * Added rm -rf build so that the package can be built twice.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 02:34:02 +0000

alembic (0.4.2+ds-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Uploading to experimental (during Wheezy freeze).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Feb 2013 14:40:33 +0000

alembic (0.3.4+ds-3) unstable; urgency=low

  * Team upload
  * Build-depend on python2.6-argparse to support python2.6 tests
   (Closes: #680854)
  * Suggest python2.6-argparse as it is needed to run with python2.6, but
    multiple depends require python2.7 to be installed - running with
    python2.6 should be very unusual and pulling in the non-standard argparse
    on all installations for this is not a good thing
  * Fix copy/paste error in debian/changelog from previous upload

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 15:42:34 -0400

alembic (0.3.4+ds-2) unstable; urgency=low

  * Team upload
  * Drop python3-sphinx as an alternate build-depend to python-sphinx to fix
    FTBFS (Closes: #680855
    - The package only has a python version anyway, so python3-sphinx as a
      build-dep is clearly wrong

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 14:51:28 -0400

alembic (0.3.4+ds-1) unstable; urgency=low

  * Initial release. (Closes: #669404)

 -- Matthias Kümmerer <matthias@matthias-k.org>  Wed, 06 Jun 2012 17:29:23 +0200
